package eu.dnetlib.validatorapi.entities;

import javax.persistence.Entity;
import javax.persistence.Id;

@Entity
public class SummaryResult {

    @Id
    String rule_name;
    int rule_weight;
    long passed_records;
    long failed_records;

    public SummaryResult(String rule_name, long passed_records, long failed_records) {
        this.rule_name = rule_name;
        this.passed_records = passed_records;
        this.failed_records = failed_records;
    }

    public SummaryResult(String rule_name, int rule_weight, long passed_records, long failed_records) {
        this.rule_name = rule_name;
        this.rule_weight = rule_weight;
        this.passed_records = passed_records;
        this.failed_records = failed_records;
    }

    public String getRule_name() {
        return rule_name;
    }

    public void setRule_name(String rule_name) {
        this.rule_name = rule_name;
    }

    public int getRule_weight() {
        return rule_weight;
    }

    public void setRule_weight(int rule_weight) {
        this.rule_weight = rule_weight;
    }

    public long getPassed_records() {
        return passed_records;
    }

    public void setPassed_records(long passed_records) {
        this.passed_records = passed_records;
    }

    public long getFailed_records() {
        return failed_records;
    }

    public void setFailed_records(long failed_records) {
        this.failed_records = failed_records;
    }

    @Override
    public String toString() {
        return "SummaryResult{" +
                "rule_name='" + rule_name + '\'' +
                ", rule_weight=" + rule_weight +
                ", passed_records=" + passed_records +
                ", failed_records=" + failed_records +
                '}';
    }


}
